Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations

RemoveSNSWeComAtPerson

RemoveSNSWeComAtPerson

DELETE/zstack/v1/sns/application-endpoints/we-com/{endpointUuid}/at-persons/{userId}

Operation ID

RemoveSNSWeComAtPerson

Since

5.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • endpointUuid
    StringRequired

    The WeCom rebot webhook url.

  • userId
    StringRequired

    TheWebCom user Id.

Body Fields

  • deleteMode
    String

    Optional. Delete mode(Permissive / Enforcing,Permissive)

  • systemTags
    List

    Optional. The system tag.

  • userTags
    List

    Optional. The user tag.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}